== SportsPress Changelog ==

= 2.7.26 =
* Tweak - Make SportsPress compatible with the Polylang plugin.
* Fix - Non-numeric value error in player list.
* Fix - Countdown widget null parameter deprecation.
* Fix - Deprecated functiong get_page_by_title().
* Fix - Output when image is used as a performance icon.

= 2.7.24 =
* Update - Leaflet version to 1.9.4.
* Tweak - Refactor equation builder to support nested conditional equations.
* Tweak - Add option to filter events by venue in admin.
* Tweak - Include events with no status in countdown widget.
* Fix - Errors related to PHP version 8.
* Fix - Statistic format not saving.
* Fix - Position stats in offense and defense not saving.
* Fix - Google error: Date/time not in ISO 8601 format.
* Fix - Minutes in league table.
* Fix = Fatal error due to wrong type.

= 2.7.23 =
* Update - Version bump for SportsPress Pro.

= 2.7.22 =
* Fix - Security issues.

= 2.7.21 =
* Fix - Add nonce checks to hide notice links.

= 2.7.20 =
* Fix - Permalink access for non-admins.

= 2.7.19 =
* Fix - Games back showing as zero.

= 2.7.18 =
* Tweak - Only get staff template if enabled.
* Tweak - Show visible option only when "Auto" mode is selected.
* Fix - "None" option disappeared from dropdowns.
* Fix - Minutes not shown when image used as icon.
* Fix - Deprecated urlencode() notice.
* Fix - Null parameter notice.
* Fix - Undefined array key warnings.
* Fix - Add user capability check and nonce check when updating permalinks.

= 2.7.17 =
* Fix - PHP 8.2.x deprecated code warnings.
* Fix - Next team not working in shortcodes.
* Fix - Links rendering in event specs.
* Localization - Update translatable strings.

= 2.7.16 =
* Update - WP version tested up to 6.1.
* Update - Leaflet version to 1.8.0.
* Tweak - Datepicker support for event blocks, list, and calendar widgets.
* Fix - Toggle between absolute and resltive dates in shortcodes.
* Fix - Undefined variables showdob and showage.
* Fix - Date range error in player lists.
* Fix - Loss condition not applied on event results.
* Fix - Can't set statistic variable for player positions.
* Fix - API error when using _fields.
* Fix - Event map and video not being displayed.
* Fix - Escape functions in admin.

= 2.7.15 =
* Feature - Sports news widget in dashboard.
* Fix - Fixture importer bug with extended characters in league and season name.
* Fix - Player list not loading (too many resources).
* Fix - Performance format not updating.
* Fix - Trim whitespace on geo coordinates to avoid import error.

= 2.7.14 =
* Fix - Error when non-value added as adjustment.
* Fix - Map links not escaped properly.
* Fix - Event blocks missing attributes.
* Fix - Player statistics meta escaping.

= 2.7.13 =
* Fix - Theme notice escaping.
* Fix - Timezone dropdown selection now shown in general settings.
* Fix - Double header when multiple player lists are displayed in team.
* Fix - Dropdown options not saving in settings.
* Fix - Setup page conflict with WooCommerce.

= 2.7.12 =
* Fix - OpenStreetMap not displaying map after update.

= 2.7.11 =
* Fix - Player status selector not reflecting changes in match edit screen.
* Fix - Player dropdown template not displaying names.
* Fix - Staff dropdown template not displaying names.

= 2.7.10 =
* Fix - Players not selectable in event edit page.
* Fix - Videos embedded in post content not rendering.

= 2.7.9 =
* Tweak - Add support for event format in REST API.
* Tweak - Add "Order" and "Order by" selection fields for countdown widget.
* Tweak - Add option to display event status in countdown widget.
* Tweak - Add ability to filter events by format in calendar template.
* Tweak - Update TGM plugin activation library.
* Fix - Remove plugin headers from modules for improved compatibility.
* Fix - Reverse order not applying to teams in event lists.
* Fix - Add validation to user inputs for improved security.
* Fix - Sanitize all user inputs for improved security.
* Fix - Escape all outputs in admin for improved security.
* Fix - Filtering based on format for event blocks.
* Fix - Last week and next week filter not applying to player lists.
* Fix - Deselecting a selected team in settings.
* Fix - PHP 8.0 deprecated warnings.
* Localization - Add nationalities and flags for French Guiana, French Polynesia, Guadeloupe, Greenland, Martinique, Reunion, and Sint Maarten.

= 2.7.8 =
* Fix - Event results, box scores, and players stats not updating via REST API.

= 2.7.7 =
* Fix - Events not appearing due to filter malfunction.

= 2.7.6 =
* Feature - Add ability to bulk set events as on time.
* Fix - Players in events not being filtered by team.

= 2.7.5 =
* Tweak - Add ability to filter events by team and match day in one query.
* Tweak - Improve performance by updating leaflet script and only loading when required.
* Tweak - Add overtime notation compatibility for minutes played.
* Fix - Issue with event edit page where the scripts were not working.
* Fix - No records when format is default in event list shortcode.

= 2.7.4 =
* Tweak - Add option to display birthday, age, or both in birthdays widget.
* Fix - Player list data showing zeroes in some cases.

= 2.7.3 =
* Compatibility - Tested for compatibility with WordPress 5.5 with changes made where necessary.
* Tweak - Avoid showing minutes box for subs when not needed.
* Tweak - Improve filtering speed for queries without leagues or seasons.
* Tweak - Apply reverse order setting in event lists.
* Tweak - Enable filtering a player's events played on a specific team.
* Fix - Include future events in REST API for WordPress 5.5.
* Fix - Enable updating player metrics using the REST API.
* Fix - Deprecated code for PHP 7.4.
* Fix - Elementor compatibility.
* Localization - Update country names for Czechia, North Macedonia, Myanmar, and Eswatini.
* Localization - Adjust RTL stylesheet for event performance icons.

= 2.7.2 =
* Tweak - Sanitize delimiter field in event settings.

= 2.7.1 =
* Feature - Enable player list filtering by nationality.
* Feature - Add option to display date of birth in player lists.
* Tweak - Exclude postponed and canceled events from countdowns.
* Tweak - Apply reverse order option to event results.
* Tweak - When a team has more than one home venue, separate with commas.
* Fix - Venue address containing pluses in events.
* Fix - Event blocks showing the wrong dates when embedded within other event pages.
* Fix - Statistics not adding manual values when not based on equations.
* Fix - Event lists ignoring the format parameter.
* Fix - League table order when displaying multiple tables in team profiles.
* Fix - Error when deleting configuration columns.
* Fix - Player lists not including past players in some cases.
* Fix - Prevent error when viewing event calendar in some cases.

= 2.7 =
* Feature - New bulk actions to postpone and cancel multiple events.
* Feature - Add date of birth to player importer.
* Feature - Automatically select the home team's venue as the default venue when importing fixtures.
* Feature - Add ability to turn on comment for team profiles.
* Feature - Filter league tables by event status.
* Tweak - When an icon is used for player performance, display the icon in player lists and profiles.
* Tweak - Add title attribute for player statistic icons.
* Tweak - Default stylesheet sorting icon width.
* Fix - Icon color picker rendering issue.
* Fix - Image selector not working for player statistics.
* Fix - Enqueue scripts and styles for OpenStreetMap when used in shortcodes.
* Localization - Add translation options for countdown units.

= 2.6.20 =
* Tweak - Improve compatibility with volleyball for checkbox performance.
* Preset - Update volleyball preset with additional options.

= 2.6.19 =
* Feature - Enable filtering calendars base on players.
* Feature - Add checkbox type to event performance.
* Fix - Javascript error when columns are hidden in event list.
* Fix - Notice when displaying staff in event performance table.
* Fix - Notice when event results are empty.
* Fix - Uncaught error in player class.
* Preset - Update volleyball preset using checkbox performance type.

= 2.6.18 =
* Fix - Prevent OpenStreetMap scripts from loading when Google Maps is active via SportsPress Pro.
* Fix - Headers already sent error related to default nationality module.

= 2.6.17 =
* Tweak - Only show welcome screen on major version upgrade.
* Tweak - Add filters to enable career totals calculation with extensions.
* Fix - Countdowns not reflecting timezone setting.

= 2.6.16 =
* Tweak - Add support for updated baseball extension with partial innings.
* Fix - Error displaying staff in events when offense and defense are separate tables.

= 2.6.15 =
* Important - Using Google Maps will require a SportsPress Pro license after August 31, 2019.
* Refactor - Fallback to OpenStreetMap for venue maps without SportsPress Pro.
* Feature - Option to display team logos instead of team names in player lists.
* Feature - Option to display custom specs in event blocks and event lists.
* Tweak - Improve page load speed when creating new league tables.
* Tweak - Prevent displaying events other than published or scheduled.
* Fix - Icons only appearing in the first table when player lists are grouped.
* Fix - Character encoding and CRLF errors in calendar feeds.
* Fix - Missing field location Schema error.
* Fix - Dropdowns collapsing in admin when meta boxes are hidden.
* Fix - Timezone handling in countdowns.
* Fix - Error when using special characters in admin settings.

= 2.6.14 =
* Fix - API endpoints for secondary post types.

= 2.6.13 =
* Fix - Missing functionality with Gutenberg enabled.
* Fix - Enable API endpoints with WordPress 5.0 and Gutenberg.

= 2.6.12 =
* Tweak - Match styling of date row in countdown.
* Fix - Calculated totals in player performance array missing for custom templates.
* Fix - Date field hidden from existing calendars.

= 2.6.11 =
* Tweak - Apply reverse teams setting to event blocks.
* Tweak - Add zero before days in countdown when there are less than 10 days to go.
* Fix - Venue address not setting correctly.
* Fix - RTL language support for first column in tables.
* Fix - PHP warnings for various static functions.
* Fix - Custom post types displaying blank screen in admin when Gutenberg is active.

= 2.6.10 =
* Tweak - Apply reverse teams settings to logos.
* Fix - Statistics doubling in player lists when player is assigned to a team.
* Fix - Display blank placeholder in player lists when no team is assigned.
* Preset - Update basketball efficiency rating equation.

= 2.6.9 =
* Feature - New event shortcodes: venue, officials, teams, and full event info.
* Feature - Option to choose default nationality for faster data entry.
* Feature - Date and time display options in countdown widgets.
* Feature - Ability to filter player list shortcodes by league, season, and team.
* Tweak - Improve page load for new player lists.
* Tweak - Improve iCal feed by fixing wrapping issues.
* Tweak - Use lighter placeholder color to differentiate from entered values.
* Tweak - Preserve league, season, and position assignments when importing players.
* Fix - PHP warnings when using version 7.2 or later.
* Fix - Countdown timer format when event is 100 or more days away.
* Fix - Player list displaying zero values when formatted using decimal places.
* Fix - Start of the week filters for week-based calendars.
* Fix - Location picker freezing issue.
* Fix - Custom post types pages displaying blank page when Gutenberg is installed.

= 2.6.8 =
* Feature - Ability to add icons to player statistics.
* Feature - Ability to display matchday in event blocks.
* Feature - Add support for commenting on scheduled events.
* Feature - Option to filter birthdays widget by week.
* Feature - Option to filter events by competitive or friendly.
* Tweak - Display pin in venue map and link map to web version.
* Tweak - Add UK as alternate to GB in countries legacy list.
* Tweak - Remove duplicate teams from players.
* Tweak - Improve player assignment filtering for player lists.
* Fix - Animated countdowns when visitor and site are in a different timezones.

= 2.6.7 =
* Fix - Update Google Maps API endpoints.

= 2.6.6 =
* Fix - Apply reverse teams to frontend templates only.

= 2.6.5 =
* Tweak - Increase coverage of reverse teams option.
* Tweak - Improve sorting of leagues, positions, and seasons.
* Localization - Additional legacy country code for Greece.
* Fix - Broken post author select on certain pages.
* Fix - Google Calendar link protocol.

= 2.6.4 =
* Fix - Undefined variable notice in player list.

= 2.6.3 =
* Fix - Assign past teams during player import.
* Fix - Next team column displaying events furthest away.
* Fix - Add fallback array_replace function for PHP versions earlier than 5.3.
* Fix - Add fallback for web hosts that don't support multibyte PHP functions, causing blank player profiles.

= 2.6.2 =
* Fix - Newly added players from past and current team appearing in player lists.
* Fix - Player lists appearing empty without league, season, and team selected.

= 2.6.1 =
* Fix - Player lists with a team selected showing players from other teams.
* Fix - REST API endpoints not resolving for players.
* Fix - Empty system status page.

= 2.6 =
* Feature - Add custom details to events using event specs.
* Feature - Conditional equations for variables.
* Feature - Display the next opponent in league tables.
* Feature - Short name option added to teams.
* Feature - Automatic event titles using short name when available.
* Feature - Display featured image in countdown widget.
* Tweak - Stronger connections between leagues, seasons, and teams for automatic player lists.
* Tweak - Relative date option added to editor shortcodes.
* Tweak - Display only current team in player list.
* Tweak - Filter players dropdown by current team only.
* Tweak - Allow 0 as a squad number when importing players.
* Tweak - Prevent filtering through empty results.
* Fix - Interpreting non-integer substitution times.
* Fix - Warning when sorting terms without order.
* Localization - Add WPML support to staff header.
* Localization - Fix RTL not being applied in league tables.

= 2.5.10 =
* Fix - Date ranges not being applied to calendars.

= 2.5.9 =
* Fix - Unpublished posts being displayed in some themes.

= 2.5.8 =
* Fix - Display scheduled events using default permalinks via archives and third-party widgets.

= 2.5.7 =
* Fix - Blank general settings screen on WordPress versions prior to 4.9.
* Fix - Revert responsive table behavior to prevent display issues on mobile.

= 2.5.6 =
* Tweak - Adjust player-related hooks.
* Fix - Turn off responsive tables by default.

= 2.5.5 =
* Feature - Main league and current season settings.
* Feature - New shortcode including full staff profile.
* Feature - Add code highlighting to custom CSS field.
* Feature - Add responsive layout option to tables.
* Feature - Add filters to REST API players endpoint.
* Feature - Option to merge duplicate teams, players, and staff.
* Feature - Option to display specific event in event blocks.
* Feature - Option to sort player checklist by name and squad number in events.
* Feature - Option to filter player lists by team.
* Feature - Option to link staff members.
* Feature - Filter countdown by calendar.
* Fix - Calculate column totals in box score.
* Fix - Mismatched encoding of included library.
* Localization - Fix translation function missing around string.

= 2.5.4 =
* Fix - Error when editing league table using older versions of WordPress.

= 2.5.3 =
* Fix - Calendar templates not loading when timezone setting is relative to UTC.

= 2.5.2 =
* Feature - Add match day to REST API.
* Tweak - Add order to positions during preset installation.
* Tweak - Display links to add new duties and officials if empty.
* Tweak - Add linebreaks to substitute dropdowns.
* Fix - Use default full time minutes in REST API.
* Fix - Uploading custom images as performance icons.
* Fix - Displaying timed performance with custom images.

= 2.5.1 =
* Feature - Officials importer.
* Feature - Officials added to dashboard glance items.
* Feature - Order setting added to staff jobs for custom sorting.
* Tweak - Display only the highest order job in staff profiles.
* Tweak - Require box score importer to be accessed from within an event.
* Tweak - Add hook to declare importable post types.
* Fix - Officials meta box in events when module is inactive.
* Fix - Issues when timezone is not set.

= 2.5 =
* Feature - Player of the match and star numbers added to box scores.
* Feature - Officials module for displaying referee appointments in matches.
* Feature - New player performance icons to choose from.
* Feature - Schema microdata added to event calendars, lists, and blocks.
* Feature - Box score importer for updating existing events.
* Feature - Order setting added to taxonomies for custom sorting.
* Feature - New relative date range options in event calendars.
* Feature - Date range options added to league tables and player lists.
* Feature - Option to hide players with zero statistics in player list.
* Tweak - Allow staff members to have multiple jobs.
* Tweak - Indicator dots added to calendars with events in frontend stylesheet.
* Tweak - Box score columns are now selected by default when adding new events.
* Tweak - Events made sortable by match day in admin.
* Tweak - Competitions renamed to leagues.
* Fix - Quick edit teams not showing when filtering players by team.
* Fix - Calendar feeds not updating without E-tag.
* Fix - Admin table cells wrapping.
* Fix - Timezone issues in calendars.

= 2.4.3 =
* Fix - Substitute Typo.
* Fix - WordPay image trailing slash.

= 2.4.2 =
* Feature - Add visibility option to player metrics.
* Fix - Remove protocol from default Gravatar images to prevent mix content warnings.

= 2.4.1 =
* Fix - Static function displaying notice in header.

= 2.4 =
* Feature - Integration with WordPay to allow paid team and player registrations.
* Feature - New team gallery shortcode and widget for displaying a gallery of team logos.
* Feature - Added support for player career totals based on calculated averages.
* Tweak - Allow competitions to be selected for friendly matches.
* Tweak - Added columns selector to gallery shortcodes.
* Fix - Full time defaulting to 90 minutes.
* Fix - Statistic format not reflected in meta box.
* Fix - Shortcode button hook timing conflicts.
* Preset - Swap par and score in golf preset.
* Preset - Update all presets to reflect new career total type.

= 2.3.2 =
* Fix - Team in player statistics total row displaying as zero.
* Fix - Notice when no sendoffs are available during minutes played calculation.

= 2.3.1 =
* Tweak - Update version numbers of recommended sport-specific extensions.
* Fix - Manually entered statistics not reflected in player profile totals.
* Fix - Template hooks not callable for third-party integration.
* Fix - Error when editing league tables in PHP versions earlier than 5.5.

= 2.3 =
* Feature - New setup wizard for first-time installs.
* Feature - Option to automatically create player profiles during user registration.
* Feature - Choose team or individual mode for each event.
* Feature - Send Off setting for player statistics to suspend minute count for that player.
* Tweak - Remove horizontal scrolling in dashboard to fix hidden dropdowns.
* Tweak - Revert text color overrides for dark color schemes in frontend styles.
* Fix - Borrowed players not automatically loading on event edit.
* Fix - Played minutes calculation and player profile statistics.

= 2.2.11 =
* Fix - Timeout issue when tiebreaker checks for head-to-head standings.
* Fix - Check for REST API controllers to prevent errors when using Jetpack.

= 2.2.10 =
* Tweak - Update modules page.
* Fix - League table discrepancy due to change in number of teams setting.
* Fix - JavaScript error caused by box score displaying icons without players.

= 2.2.9 =
* Fix - Warning message above player list template.

= 2.2.8 =
* Fix - Hidden box score header in values mode.
* Fix - Welcome page displaying after upgrade if preset was saved from settings.
* Fix - Decimal places being dropped from player list statistics.

= 2.2.7 =
* Tweak - Adjust frontend styles to allow some overrides.
* Tweak - Update modules page with new module options.
* Fix - Javascript error in icon mode box scores.
* Fix - Player list default sorting issue.
* Fix - Empty team checkboxes in player quick edit.

= 2.2.6 =
* Tweak - Hide box score table header row in icon mode.
* Tweak - Adjust frontend stylesheet.
* Fix - Empty league tables when no columns are selected.
* Fix - Empty player lists when no columns are selected.
* Fix - Link events setting not applied to box score time.
* Fix - Player list sorting error with non-numeric values.
* Fix - Home and away records being combined when opponent not in league table.

= 2.2.5 =
* Feature - Enable positions to be displayed in icons mode box score.
* Tweak - Reflect mixed column order in player list admin.
* Tweak - Remove table row border in frontend stylesheet.
* Tweak - Automatically apply table adjustments on admin page load.
* Tweak - Simplify box score icon totals.
* Fix - Adjustments not applying to player list values.
* Fix - Minutes not displaying in box score.
* Fix - Player positions displaying not displaying in box score.
* Fix - Total time displaying as 0:00.

= 2.2.4 =
* Feature - Option to show or hide career totals in player profiles.
* Tweak - Icons not rendering when frontend stylesheet is active.
* Tweak - Remove underline from icon links in frontend stylesheet.
* Tweak - Change competition and season placeholders in events to "None".
* Tweak - Enable horizontal scrolling on large tables in admin.
* Fix - Equations returning zero when no events played.
* Fix - Player lists and player profiles showing different statistics when filtered by competition or season.
* Fix - Substitution icon not rendering for starting lineup players.
* Fix - Manual player performance errors in profile.
* Fix - Error in event results if team was deleted.
* Fix - Remove deprecated function in PHP 7.0.
* Fix - Non-numeric errors in PHP 7.1.

= 2.2.3 =
* Fix - Placeholders for non-numeric values in player list displaying as zero.

= 2.2.2 =
* Tweak - Center align form events.
* Fix - Reverse form array to display events in chronological order.
* Fix - Error in player lists when querying legacy events.
* Fix - Manual values in player lists when no events have been played.

= 2.2.1 =
* Fix - Empty timeline error when calculating substitution time.

= 2.2 =
* Feature - New frontend stylesheet for third-party themes.
* Feature - New chronological streak format in league tables.
* Feature - Head to head tiebreaker option in league tables.
* Feature - Add option to select number of players in player lists.
* Feature - Quick edit player's team and squad number.
* Feature - Bulk edit players' past and current teams.
* Feature - Taxonomies added to REST API.
* Feature - Ability to display event history in player profiles.
* Feature - Event list format option added to player and team events.
* Feature - Option to record minutes for specific statistics.
* Feature - Time format added for racing and timed sports.
* Feature - Dedicated option to redirect team pages to site URL.
* Feature - Bulk action to generate team calendars.
* Feature - Automatically adjust played minutes based on substitution times.
* Feature - Match day column option added to event lists.
* Tweak - Remove event limit in calendars.
* Tweak - Allow player squad number to be zero.
* Tweak - Enable mixing performance and statistic column order.
* Tweak - Filter player statistic equations by offense and defense.
* Tweak - System status hidden unless in debug mode.
* Tweak - Move event list column options to sidebar.
* Tweak - Return zero instead of error if dividing by zero.
* Tweak - Always display performance icons in admin.
* Tweak - Add preview notation in event blocks by default.
* Tweak - Single player performance name option added for hover text in icons mode.
* Fix - Player list precision number format error.
* Fix - Player list adjustments for existing values.
* Fix - Hide empty positions in player lists and galleries.
* Fix - Import button selectors disappeared in WordPress 4.7.
* Fix - Substitution time missing parentheses.
* Fix - Staff for home team not being displayed in events.
* Fix - Enable output of time and results without team names in home/away mode.
* Fix - Prevent totals override in box scores.
* Localization - Add Gibraltar nationality option and flag.

= 2.1.7 =
* Fix - Activation error on older versions of PHP.

= 2.1.6 =
* Feature - Add equation format option to player performance.
* Tweak - Add text options to change tab labels.
* Fix - Activation errors using TGMPA.
* Fix - Empty footer column in team staff table.
* Preset - Update basketball preset.

= 2.1.5 =
* Feature - Add option to filter players by current or past team in player lists.
* Fix - Scheduled events not queried in REST API.

= 2.1.4 =
* Feature - Player and staff dropdown templates added to layout designer.
* Tweak - Default tab labels from layout designer.
* Tweak - Add "Home" and "Away" to text options.
* Tweak - Add horizontal padding to centered event list columns.
* Fix - Disable numeric slug generation for events due to permalink issues in some cases.
* Fix - Permalink issues caused by filter for scheduled events.
* Fix - Scheduled events being ignored by REST API.
* Fix - Inconsistent styling of player and staff dropdowns.
* Fix - Only include current players in player lists.
* Fix - Age calculation in BuddyPress context.

= 2.1.3 =
* Tweak - Add options to select number, team, and position columns to player list shortcode.
* Fix - Totals row offset in player statistics admin.
* Fix - Events not automatically ordered by date in some cases.
* Fix - Google Maps error when address is empty.
* Fix - Player lists for all teams not appearing in team edit screen.
* Fix - Error in player list when team no longer exists.
* Fix - Error in event logos when results are empty.
* Fix - Issue with link to future event from daily archive when multiple events are scheduled for a single day.

= 2.1.2 =
* Feature - Add offense and defense statistics to REST API.
* Tweak - Hide template tabs with no content.
* Tweak - Allow selection of player lists without teams.
* Tweak - Center-align time/results when between home and away teams in event list.
* Tweak - Increase checklist panel height in admin.
* Tweak - Update text options.
* Fix - Hidden box score columns still displaying when in offense/defense mode.
* Preset - Update cricket preset.

= 2.1.1 =
* Feature - Add substitution times in box score.
* Feature - Add text options to change template tab names.
* Tweak - Automatically align home and away columns in event lists.
* Fix - Box score minutes display issue.

= 2.1 =
* Feature - New simplified fixtures importer compatible with [LeagueLobster](http://tboy.co/leaguelobster).
* Feature - Add match day field to events.
* Feature - Add box score minutes to events.
* Feature - Add option to display full time in event details.
* Feature - Add inline and block option to event logos.
* Feature - Add squad number and name option to player details.
* Feature - Add tab options to layout designer.
* Feature - Add option to display player and staff dropdowns in profiles.
* Feature - Add option to select TBA, postponed, and canceled event status.
* Feature - Licenses tab for third-party extensions.
* Tweak - Get player data only when needed.
* Tweak - Add capabilities to taxonomies.
* Tweak - Display tutorials in main menu if user role is not admin or league manager.
* Tweak - Use contextual strings for featured images.
* Tweak - Enable meta query vars in REST API.
* Tweak - Adopt new tab class names in admin.
* Tweak - Inherit text color for event logo team text.
* Tweak - New developers section on modules page with link to join [Slack community](http://tboy.co/slack).
* Fix - Taxonomy links appearing in admin for users that can't edit events.
* Fix - Debug error on non-standard admin pages.
* Fix - REST API notice in Jetpack.

= 2.0.16 =
* Tweak - Add shortcode parameter to override global date in event calendar.

= 2.0.15 =
* Fix - Subversion issues.

= 2.0.14 =
* Fix - Use search mode in maps to prevent invalid parameter error.

= 2.0.13 =
* Fix - Google Maps embed code to reflect selected map type.
* Fix - Countdown error when teams are not selected.

= 2.0.12 =
* Tweak - Add API key to Google Maps in admin.

= 2.0.11 =
* Tweak - Embed code to reflect change in Google Maps API.

= 2.0.10 =
* Tweak - Enable sortable tables on all devices.

= 2.0.9 =
* Feature - Display admin notice when user is not allowed to edit an item.

= 2.0.8 =
* Feature - Add shortcode parameter to filter event calendars by player.
* Feature - Add text options to change age and birthday labels.

= 2.0.7 =
* Feature - Add option to show or hide logos or photos in event blocks.
* Tweak - Combine reverse teams option for results and box score.
* Fix - Add filter to template output for extensions.

= 2.0.6 =
* Tweak - Display squad numbers in defense section.
* Tweak - Display shared values in both offense and defense sections and sync when editing event.

= 2.0.5 =
* Fix - Hide team column in player statistics for player-vs-player sports.

= 2.0.4 =
* Fix - Title generator in event importer.

= 2.0.3 =
* Tweak - Restore career total tables in player profiles.
* Fix - Display sport and timezone selector after first installation.

= 2.0.2 =
* Fix - New events not saving with automatic titles when title is empty.
* Fix - Event importer not importing new events.

= 2.0.1 =
* Fix - Some player statistics calculating as zero.

= 2.0 =
* Feature - Integration with [WP REST API](https://wordpress.org/plugins/rest-api/) by adding endpoints for viewing, creating, editing, and deleting SportsPress data.
* Feature - New drag-and-drop layout designer for customizing events, teams, players, and staff pages.
* Feature - Allow player biography to float next to photo in profile.
* Feature - Add option to display separate offensive and defensive statistics in player profiles.
* Feature - Add option to display career totals as a footer row in player statistics tables.
* Feature - Add option to display event calendar or fixtures & results on team pages.
* Feature - Add option to display time in event logos section when results are not ready.
* Feature - Add global visibility settings to player statistic columns.
* Feature - Add team, competition, league, and venue filter to event calendar, event list, and event blocks shortcodes.
* Feature - Automatically re-order competitions, seasons, venues, positions, and jobs by slug.
* Feature - New welcome page outlining notable changes to major plugin version.
* Refactor - Change parameter for sp_get_next_event function to allow custom templating.
* Tweak - Reverse team order also applies to admin.
* Tweak - Hide squad number from defense box score.
* Tweak - Use more compact labeling in player columns admin meta box.
* Tweak - Update modules page to reflect new premium scoreboard module.
* Tweak - Remove hardcoded protocol for calls to Google Maps scripts.
* Tweak - Limit venue archives to events.
* Tweak - Float team profile next to logo on team pages.
* Tweak - Display league table and player list option in teams only when modules are active.
* Tweak - Load profile and description meta boxes as native editors instead of custom methods.
* Tweak - Load team abbreviations independent of post title filter.
* Tweak - Add z-index to make header float above other elements.
* Fix - Error when league table column has no equation.
* Fix - Error when displaying checkboxes for manual event statistics.
* Fix - Venues linking automatically in countdown widgets.
* Fix - Styling issue where countdown widgets were pushed off-screen in some themes.
* Fix - Avoid loading countdown widget if no events are available.
* Preset - Update baseball, cricket, floorball, handball, ice hockey, and softball presets.

= 1.9.20 =
* Tweak - Expand event title section for team logos in countdown widget.
* Tweak - Center align team logo images in event.
* Tweak - Add iCal feed venue name and description.
* Fix - Escape address, summary, and description in iCal feed.
* Preset - Add ties and defense/offense definition to baseball preset.
* Localization - Add West Indies to nationality options.
* Localization - Update strings.

= 1.9.19 =
* Feature - Add Birthdays module.
* Feature - Add Lazy Loading module.
* Feature - Add separate offense and defense categories to player performance and box score.
* Feature - Add format setting to player performance with the options Number and Text.
* Feature - Add option to show and hide date and time in events.
* Tweak - Improve compatibility between custom color settings and theme options.
* Tweak - Add light shade to substitute rows in box score.
* Tweak - Prevent box score section from appearing when event is set in the future.
* Fix - Display icon setting in editor.
* Fix - Empty variable button appearing in equation builder when equation is empty.
* Preset - Update cricket preset with batting and bowling categories.

= 1.9.15 =
* Tweak - Add medium crop image size to ensure gallery images are square.
* Tweak - Add shortcut icon to admin bar.
* Fix - Mobile admin table cell width.
* Fix - Tutorial tab styling.
* Localization - Update Norwegian Bokmål and Turkish translations.

= 1.9.14 =
* Fix - Error appearing on team page in some cases when there are no competitions or seasons.
* Localization - Update source language file.

= 1.9.13 =
* Feature - Add option to display positions in player lists.
* Feature - Add option to show or hide player squad number and rank column.
* Feature - Add ability to display staff members in team page.
* Feature - Unique widget option added to hide widget when same as content.
* Tweak - Get auto and manual league tables in team page.
* Tweak - Add row numbers to league table and event list.
* Tweak - Allow searching from middle of sport preset names.
* Tweak - Remove deprecated settings from admin.
* Tweak - Prevent unnecessary scrollbar from appearing under scrollable tables.
* Tweak - Add spaces between results in event blocks widget.
* Tweak - Default template positions adjusted to render main content first.
* Tweak - Adjust checkbox column padding in admin.
* Tweak - Prevent positions and jobs from automatically linking to archives.
* Tweak - Adjust capabilities to allow team managers to edit venues.
* Fix - Player gallery thumbnail size too small in some cases.
* Fix - Competitive event icon in edit screen.
* Fix - SportsPress widget icons not appearing in 4.4 admin.
* Localization - Add demoyer to translation team.
* Localization - Update Dutch translations.

= 1.9.12 =
* Tweak - Display team names and score template without logos.
* Tweak - Validate hex color input.
* Tweak - Add sp prefix to TGMPA notice to avoid conflict with other plugins.
* Fix - Empty seasons displaying in player profiles.
* Fix - Error on pages with no screen objects.
* Localization - Add Tandor, muhahmetkara, elarequi, diego.battistella, and tkausch to translation team.
* Localization - Update Polish, Tamil, German, Turkish, Spanish, Dutch, and Portuguese translations.

= 1.9.10 =
* Fix - Automatic event results calculating without player performance.
* Localization - Update Turkish translation.

= 1.9.9 =
* Feature - Enable presets to define result equations.
* Tweak - Move event logo settings to new section in admin.
* Tweak - Disable custom colors by default.
* Tweak - Display league tables and player lists as auto when not manual.
* Fix - Prevent teams containing quotes to duplicate during import.
* Fix - Enable importing with special characters in team and player names.
* Fix - Check for zero in equation denominator contained within parenthesis.
* Fix - Placeholder in admin indicating automatic result.
* Preset - Update cricket preset.
* Localization - Update Tamil translation.

= 1.9.8 =
* Feature - Option to add custom table headings to calendars, league tables, and player lists.
* Tweak - Revert automatically hiding featured images when viewing teams, players, and staff.
* Fix - Team site URL escaping links in admin.

= 1.9.7 =
* Fix - Escape text inputs in admin.
* Localization - Update German translation.

= 1.9.6 =
* Feature - Venue subset to reflect statistics from a team's home venue.
* Tweak - Use team order instead of venue to get home and away subset.
* Tweak - Allow special HTML characters in player list fields.
* Tweak - Relabel box score to scorecard.
* Fix - Player list sorting by ascending squad number.
* Localization - Add Ales70, Elmister, and chinnz25 to translation team.
* Localization - Add Tamil (India) translations.
* Localization - Update Persian, Finnish, Italian, Czech, Greek, Slovenian, and Polish translations.

= 1.9.5 =
* Fix - Streaks calculation in league tables.

= 1.9.4 =
* Feature - Add Home and Away subset options to table column equation builder.
* Tweak - Display player and team checklists in admin only when Manual mode is enabled to improve performance.
* Localization - Add mahdi12 to translation team.
* Localization - Update Persian and Polish translation.

= 1.9.3 =
* Fix - Event results skipping some players in player list.

= 1.9.2 =
* Fix - Dynamic stats not being reflected in player lists.

= 1.9.1 =
* Fix - Add up statistics from multiple competitions and seasons in player list.
* Fix - Use player metrics as default in player list.
* Localization - Update Spanish translation.

= 1.9 =
* Feature - New Icons module containing vector icon options for player performance.
* Feature - Add event results to equation builder.
* Feature - Allow different page templates to be selected for each post type.
* Feature - Add equation builder to automate event results based on player performance.
* Feature - Allow Event Managers to edit venues.
* Feature - Display post excerpts in templates.
* Feature - Hide featured image if photo or logo is displayed.
* Feature - Add default outcome condition for events with more than 2 teams.
* Feature - Add option to display competition and season in player details.
* Feature - Add Google map zoom option.
* Feature - Add national flag option to player list.
* Feature - Add competition and season filter to manually inserted calendar shortcodes.
* Refactor - Move cricket functionality to free extension.
* Tweak - Improve individual mode admin screens and functionality.
* Tweak - Add styling to default event teams template.
* Tweak - Add cell padding to admin edit table.
* Tweak - Display position column only if positions exist.
* Tweak - Display Performance as Box Score in all occurrences.
* Tweak - Simplify sample data team names.
* Tweak - Move League Table module to Teams section.
* Tweak - Display column labels for time and results in split team mode.
* Tweak - Lock variable names once published to prevent equations from breaking.
* Tweak - Rename featured image meta boxes to reflect image type.
* Tweak - Improve readability of equations in admin.
* Tweak - Trim delimiter example when limit is more than 3 teams.
* Tweak - Allow a team limit of 0 for unlimited teams per event.
* Fix - Sample data generator for individual mode.
* Fix - Overview hierarchy in individual mode.
* Fix - Event delimiter sample output.
* Fix - Error in league table when stats are empty.
* Fix - Check if teams exist in countdown.
* Preset - Add golf preset.
* Preset - Recommend sport-specific extensions for cricket, golf, and football (soccer).
* Localization - Update Greek and French translations.

= 1.8.9 =
* Feature - Enable multiple nationalities for players and staff.
* Feature - Enable multiple seasons and competitions for league tables.
* Feature - Enable multiple seasons, competitions, and positions for player lists.
* Feature - Add custom title field and widget alignment option to shortcodes.
* Feature - Add option to always increment league table position.
* Fix - Import button on admin pages.
* Fix - Update jQuery DataTables to version 1.10.8 props devilsaces.
* Localization - Group translation team by language and display stats.
* Localization - Add albpower, elgolden, mobking, wah826, iojvan, eifelstudio, deckerweb, denkuhn, green_big_frog, Flubber89, sododesign, webby1973, Laislebai, slappfiskene.no, AugustoNeto, lfrodines, GonerSTUDIO, cofeman.sl, i1m3a7n92, opticadeharo, and ViktoriaRuzhylo to translation team.
* Localization - Update Polish, Finnish, Armenian, German, Slovenian, Italian, Czech, Dutch, Spanish, Romanian, and French translations.

= 1.8.8 =
* Feature - Add option to hide player and staff details.
* Tweak - Ability to display multiple current teams in staff profile.

= 1.8.7 =
* Feature - Add custom table heading option to widgets.
* Feature - Add random sorting to player gallery.
* Feature - Add option to hide player list and league table titles.
* Feature - Add heading option to player positions.
* Tweak - Display Soccer (Association Football) as Football.
* Tweak - Flush permalinks automatically when saving modules.
* Tweak - Separate scrollable and responsive table options.
* Tweak - Display event performance icon tables in 2 columns.
* Fix - Duplicate league table captions in team page.
* Preset - Add softball preset.
* Localization - Add FollowCandyPanda to translation team.
* Localization - Update Polish, Spanish, German, Norwegian, Dutch, Finnish, Russian, Armenian, and Czech translations.

= 1.8.6 =
* Tweak - Update modules page to reflect a change in offered features.
* Fix - Team dropdowns disappearing when none found in the competition and season assigned to an event.
* Localization - Update Russian translations.

= 1.8.5 =
* Fix - Error merging option arrays.
* Localization - Add m4rsal to translation team.
* Localization - Update Polish, Spanish, German, Norwegian, Dutch, and Finnish translations.

= 1.8.4 =
* Fix - Installation screen notice related to default color scheme.
* Localization - Add vetsmi, ceyhunulas, pgbenini, paulcoppen, fernandori, wolforg, and chr86 to translation team.
* Localization - Update Dutch, Spanish, Portuguese (Brazil), French, and German translations.

= 1.8.3 =
* Tweak - Settings page styling updated.
* Tweak - New modules category added for admin-related dashboard modules.
* Fix - Widget floating issue in some themes.
* Fix - Timezones added to calendar feeds using blog timezone setting.
* Fix - Event filters generating redundant queries.
* Localization - Update Finnish, Norwegian, Turkish, Polish, Portuguese (Brazil), and Portuguese (Portugal) translations.

= 1.8.2 =
* Tweak - Make scrollable tables fill content width.
* Tweak - Improve widget alignment precision.
* Tweak - Remove paginate link default color.
* Fix - Future event post permalinks not found.

= 1.8.1 =
* Feature - Ability to display multiple widgets on one line by aligning left and right.
* Tweak - Increase league table row height only when logos are displayed.
* Fix - Taxonomy selection not displaying in admin after WordPress 4.2 update.
* Localization - Add nagashitw, jikji96, and edesl to translation team.
* Localization - Update Czech, German, Finnish, Portuguese, Korean, Italian, and Spanish translations.

= 1.8 =
* Feature - Games Behind calculation added to equation builder.
* Feature - Home Record and Away Record calculation added to equation builder.
* Feature - Add option to reverse team order in events.
* Tweak - Allow inline results editing only if user has permissions.
* Tweak - Allow underscore in equation variable names.
* Tweak - Update welcome page with free Rookie theme link.
* Tweak - Group sport presets into more descriptive categories.
* Tweak - Display module descriptions in admin.
* Tweak - Combine player and staff modules.
* Tweak - Move mode setting to event page.
* Tweak - Add option to show only top-level positions in events.
* Tweak - Change Rounding to Decimal Places for clarity.
* Tweak - Change Player Performance to Box Score.
* Tweak - Add proper editing capabilities to Team Manager role.
* Fix - Empty positions hidden in box score.
* Preset - Update baseball preset.
* Localization - Add Kosovo to countries list.
* Localization - Use standard localization functions to improve translatability.
* Localization - Update Spanish and Japanese translations.

= 1.7.7 =
* Tweak - Add option to filter teams in event by competition and season with no filter as default setting.

= 1.7.6 =
* Fix - Modules sidebar not displaying in admin.

= 1.7.5 =
* Fix - Calendars empty when no teams selected.

= 1.7.4 =
* Feature - Filter teams by competition and season on page load when editing event.
* Feature - Enable multiple team selection in calendars.
* Feature - Ability to install free starter theme from modules page.
* Tweak - Use YouTube for tutorials instead of Vimeo.
* Localization - Update Finnish, Dutch, Czech, Italian, and Polish translations.

= 1.7.3 =
* Tweak - Add option to hide/show player statistics.
* Tweak - Always load overview, widgets, and importers.
* Fix - Notice displaying in player statistics when no players available.
* Localization - Update Greek, Polish, Finnish, Dutch, and Icelandic translations.

= 1.7.2 =
* Fix - Player positions disappearing in event page.
* Fix - Individual mode automatically loading by default.
* Localization - Update Polish translation.

= 1.7.1 =
* Fix - Activation error related to server limitations.
* Localization - Update Greek translation.

= 1.7 =
* Feature - Enable multiple seasons and competitions to be selected for events, calendars, player lists, and league tables.
* Feature - Enable primary performance selection.
* Feature - Enable event result columns to be displayed automatically.
* Feature - Enable switching overview, widgets, and importers on and off via modules.
* Feature - New color scheme selector.
* Feature - New video tutorials module.
* Feature - Allow event performance tables to be split by team and by player position.
* Feature - Allow extras row to be displayed in event performance.
* Tweak - Display event venue address below map.
* Tweak - Display plugin and theme recommendations only to network admins.
* Tweak - Hide player details section if none available.
* Tweak - Link module request to form instead of email.
* Fix - Responsive table scrollbar causing horizontal page scrolling.
* Fix - Misplaced config meta boxes.
* Fix - Scrollbar appearing in countdown widget.
* Fix - Event blocks template not honoring link events setting.
* Fix - League table position calculations for tied teams.
* Fix - Filter out empty results when viewing events in admin list view.
* Fix - Invalid array issue when viewing league tables.
* Preset - Enable sport presets to define plugin options.
* Preset - Update cricket and ice hockey presets.
* Localization - Number changed to Squad Number.
* Localization - Update Polish, French, Czech, Dutch, Kannada, Finnish, Swedish, German, Russian, Greek, Portuguese, and Japanese translations.

= 1.6.1 =
* Feature - Countdown moved to module and now able to display team logos.
* Feature - Add option to show or hide event list titles.
* Tweak - Display latitude and longitude fields when adding venues.
* Fix - Calculating equations with nested parentheses.
* Fix - Minor meta box mislabeling.
* Preset - Add Lacrosse preset.
* Localization - Update Polish, French, Czech, Dutch, Kannada, Finnish, and Swedish translations.

= 1.6 =
* Feature - New modules page to quickly toggle additional features.
* Feature - Option to automatically populate player list and league table based on criteria.
* Feature - Display link to CSV importer at the top of admin list pages.
* Feature - Update jQuery dataTables to version 1.10.4.
* Feature - Wrap responsive tables via script.
* Feature - New API functions for team abbreviations.
* Feature - Enable searching team names in event edit screen.
* Refactor - Enable global setting to use plugin as team-vs-team or player-vs-player (beta).
* Refactor - Use 3-letter FIFA country codes with fallback for 2-letter codes.
* Refactor - Merge scrollable and responsive settings.
* Tweak - Make AJAX shortcodes hookable for extensions and modules.
* Tweak - Mode maps setting to events tab.
* Tweak - Highlight jobs link in admin menu when editing a job.
* Tweak - Hide theme notice from welcome pages.
* Tweak - Prepend prefix to frontend CSS selectors.
* Tweak - Change Team Results to Event Results.
* Tweak - Display result rows only for teams that have been selected.
* Fix - League table displaying zeroes when competition is selected and season is set to all.
* Fix - Notice when players don't exist in event.
* Fix - Career totals not displaying in player profiles.
* Fix - Player performance displaying rows when no team is selected.
* Fix - Events linking in countdown widget and event list when option is turned off.
* Fix - Option to hide event blocks title.
* Fix - Event logos displaying different images when teams are not selected.
* Preset - Add default labels for overtime in baseball and basketball presets.
* Preset - Add Counter-Strike: Global Offensive preset.
* Localization - Update list of countries for nationality selection.

= 1.5 =
* Feature - New inline quick result editing for events.
* Feature - Automatically detect event outcome based on user-defined conditions.
* Feature - Enable individual players to compete in events.
* Feature - Add new API functions for theme developers.
* Feature - Add event list time/results formatting options.
* Feature - Add option to display player career totals.
* Feature - Add option to display team logos in event lists.
* Feature - Add option to display venue in event blocks.
* Feature - Split iCal feed links for Apple Calendar, Google, and Outlook.
* Refactor - Move Staff to dedicated menu link.
* Refactor - Load sportspress.php template as a fallback only.
* Tweak - Add caption header to event blocks.
* Tweak - Add selector classes to event venue rows.
* Tweak - Remove line breaks after template output.
* Tweak - Disable responsive event performance when icons are shown.
* Tweak - Update default color scheme.
* Tweak - Update player gallery thumbnail markup.
* Tweak - Sort Player positions dropdown by slug.
* Tweak - Frontend styling to add margins and fix overflows.
* Fix - Countdown datetime format.
* Fix - Page slug conflict with SendPress.
* Fix - Missing sample event video link.
* Fix - iCal feed formatting when venue location is not set.
* Preset - Update presets to include automatic outcome conditions.
* Localization - Add Puerto Rico to countries list.
* Localization - Update Polish, German, Spanish, Russian, Finnish, Italian, Armenian, Greek, Dutch, Turkish, French, and Bengali translations.

= 1.4.7 =
* Feature - New staff shortcode and widget to display staff photo and details.
* Tweak - Display player photo in player details shortcode.
* Tweak - Sample event csv to reflect soccer preset.
* Fix - Saving a manual offset timezone.
* Preset - Add player positions to volleyball preset.
* Localization - Update Turkish, Italian, Polish, Finnish, and French translations.

= 1.4.6 =
* Tweak - Include all events that have results in league table calculations.
* Fix - Duplicate Jobs selector in Edit Staff page.
* Preset - Update basketball preset column priorities.
* Localization - Update Finnish, Polish, Italian, Greek, Dutch, Turkish, and Russian translations.

= 1.4.5 =
* Fix - Away team players not being displayed without players in home team.
* Fix - Primary team results always using default setting.
* Localization - Update Finnish and Spanish translations.

= 1.4.4 =
* Feature - Automatically select event venue based on home team.
* Fix - Featured images not displaying in some themes.
* Preset - New Floorball preset.
* Localization - Update Finnish and Armenian translations.

= 1.4.3 =
* Tweak - Update API functions for events and teams.
* Tweak - Update sample video links.
* Fix - Remove calendar link background color for more consistent styling.
* Localization - Update Finnish, Italian, Russian, and Spanish translations.

= 1.4.2 =
* Tweak - Remove solid color from base stylesheet to improve integration.

= 1.4.1 =
* Fix - League table positions not sorting by sort order.

= 1.4 =
* Feature - New welcome page with intro video and separate tabs.
* Feature - New iCal feeds for event calendars.
* Feature - Add date range selector to event calendars.
* Feature - Ability to insert sample data during installation.
* Feature - Assign teams same position in league table when all values are tied.
* Feature - Display time/results between home and away teams in event list.
* Feature - Theme-specific stylesheets to apply when third-party theme is active.
* Feature - Make event lists sortable.
* Feature - Add team and event logo templates.
* Feature - Add player and staff photo templates.
* Feature - Option to hide Rank column in player lists.
* Feature - Option to toggle frontend templates per post type.
* Feature - Option to use abbreviated team names.
* Feature - Option to enable comments in events articles.
* Refactor - Change label for League to Competition.
* Tweak - Bold and apply class to highlighted team name in league table.
* Tweak - Remove team from venue hierarchy in overview.
* Tweak - Admin editor styles to match WordPress 4.0 inline editor.
* Tweak - Display performance icons in admin.
* Tweak - Change default sport to Custom.
* Tweak - Display none when no team available for player.
* Tweak - Permanently delete config post types when sent to trash.
* Tweak - Add hooks to widgets, shortcodes, and templates for integration.
* Fix - Display team checkbox only once in player admin.
* Fix - CSV team importer not saving all fields.
* Preset - Adjust player positions in sport presets.
* Preset - Add Bats / Throws metric to Baseball preset.
* Preset - Add Bat brand metric to Cricket preset.
* Localization - Make Video and Current Teams translatable.
* Localization - Auto-load RTL stylesheet.
* Localization - Include only compiled languages to reduce overall size.
* Localization - Apply text options to translations.
* Localization - Update Dutch, French, Armenian, Russian, Croatian, German, Greek, Thai, Japanese, Bosnian, Turkish, Spanish, Arabic, Italian, and Polish translations.

= 1.3.2 =
* Integration - WPML compatibility.
* Feature - Option to set number of columns in player gallery.
* Tweak - Remove line break after templates.
* Tweak - Update plugin icon.
* Tweak - Update welcome screen badge.
* Tweak - Display admin menu label as Players & Staff.
* Fix - Typo in sample CSV import file.
* Fix - Apply default color scheme when left blank.
* Fix - Notices where taxonomies or posts not found.
* Localization - Update source strings.
* Localization - Update French and Dutch translations.

= 1.3.1 =
* Fix - Player list shortcode meta displayed on league table edit page.
* Localization - Update Dutch translation.

= 1.3 =
* Feature - New overview page with interactive sitemap.
* Feature - New and improved CSV import tools for bulk adding.
* Feature - New full time minutes setting in events for statistics calculation.
* Feature - New roles taxonomy for staff.
* Feature - Option to display home/away teams in event lists.
* Feature - Option to display league and season in event blocks.
* Feature - Option to choose all leagues and seasons in league table.
* Feature - Option to choose all leagues and seasons in player list.
* Feature - Choose between displaying values and icons in event player performance.
* Feature - Option to display photos in player list.
* Feature - Filter players by league and season in admin.
* Feature - Select a team to highlight in league tables.
* Feature - Display league tables in team pages.
* Feature - Display total statistics per player.
* Feature - Add team option to countdown widget.
* Feature - Add scrollable tables option.
* Feature - Ability to adjust overall table columns per team.
* Refactor - Remove individual mode in favor of upcoming hybrid.
* Refactor - Use global linking options per post type.
* Refactor - Display player position in profile.
* Tweak - Reorganize settings options.
* Tweak - Update SportsPress icon.
* Tweak - Rename widgets for better usability.
* Tweak - Add div wrappers to templates for easier targeting.
* Tweak - Show or hide admin checkboxes based on event format.
* Tweak - Make event list and blocks pagination independent.
* Tweak - Trim admin table padding.
* Tweak - Display all event performance columns by default.
* Fix - Event list results column not always displaying.
* Preset - New Rugby Union preset.
* Preset - New League of Legends preset.
* Preset - New DotA 2 preset.
* Preset - Group into traditional sports and esports.
* Preset - Add missing primary results and column priorities.
* Localization - Fix multilingual post linking.
* Localization - Thai translation by Xyteton.
* Localization - Add Xyteton, tyby94, & SilverXp to translation team.
* Localization - Update translations from Transifex.

= 1.2.8 =
* Preset - Add water polo preset.
* Localization - Add Macedonian translations.
* Localization - Update Armenian, Bulgarian, Finnish, German, Greek, Japanese, & Norwegian translations.

= 1.2.7 =
* Fix - Responsive table columns hidden when script active.
* Localization - Update Finnish & German translations.

= 1.2.6 =
* Fix - Number format rounding issue.

= 1.2.5 =
* Fix - Data calculations for values above 1000.
* Localization - Update French, Finnish, Dutch, Greek, & Armenian translations.

= 1.2.4 =
* Fix - Team URL and abbreviation not saving when adding new team.
* Localization - Update Armenian, Finnish, French, & German translations.

= 1.2.3 =
* Feature - Display event results in admin teams columns.
* Tweak - Ensure teams are in order in event results.
* Fix - Streaks calculator in league tables.
* Fix - Streaks calculator in team columns.
* Localization - Update German, Greek, & Norwegian translations.

= 1.2.2 =
* Tweak - Display link to docs instead of themes.
* Fix - Enable hide theme support notice.
* Fix - Typo in table caption classes.

= 1.2.1 =
* Feature - Enable option to display team's total player performance per event.
* Tweak - Order player gallery positions by slug.
* Tweak - Remove unused Played column setting from Player List widget.
* Fix - League Table widget columns setting independent from post setting.
* Fix - Event List widget columns setting not being applied.
* Fix - Row limits in League Table, Player List, & Event List shortcodes.
* Localization - Update Armenian, Finnish, & French translations.

= 1.2 =
* Feature - Shortcode dropdown menu added to page and post editor.
* Feature - New shortcodes added to individual player profiles.
* Tweak - Add timezone setting in place of base country.
* Localization - Update translations.

= 1.1.8 =
* Tweak - Order player list positions by slug.
* Tweak - Wrap templates with div for frontend styling.
* Fix - Date format in sample events CSV.
* Localization - Fix WPML duplicate posts.
* Localization - Update Armenian, Finnish, French, German, Norwegian, & Spanish translations.

= 1.1.7 =
* Fix - Inconsistent country code for Wales.
* Fix - Localize post date month names.
* Fix - Warning message when changing mode on welcome page.
* Localization - Update Armenian, French, Italian & Norwegian translations.

= 1.1.6 =
* Fix - Maps not loading in admin.

= 1.1.5 =
* Tweak - Wrap post content with div for easier templating.
* Localization - Update French translation.
* Localization - Update Spanish translation.

= 1.1.4 =
* Feature - Add home venue option in team admin.
* Tweak - Move editor meta boxes to bottom of post edit page.
* Tweak - Remove link to league and season archives.
* Fix - Previous and next post function in some themes.
* Fix - Duplicate team checkboxes in player.
* Preset - Add table tennis preset.
* Preset - Update ice hockey preset.

= 1.1.3 =
* Fix - Display all event result columns by default.

= 1.1.2 =
* Feature - Event outcome abbreviation for streak column.
* Fix - League table calculations for constants with 2 or more digits.
* Preset - Add ice hockey preset.
* Preset - Add volleyball preset.
* Localization - Update Armenian translation.
* Localization - Update Finnish translation.
* Localization - Update German translation.

= 1.1.1 =
* Tweak - Check if equation is attempting to divide by zero to prevent errors.
* Fix - Player statistics meta box message.
* Preset - Make baseball preset appear in dropdown.

= 1.1 =
* Feature - Enable individual sport mode.
* Feature - Enable displaying player lists on team pages.
* Feature - Enable player performance reordering in events.
* Feature - Enable changing player numbers and positions per event.
* Feature - Add date selector to display today's events and this week's events in calendar.
* Feature - Option to redirect team permalinks to official team website instead of team page.
* Feature - Display staff in event performance section.
* Feature - Add column selector to player profiles and player lists.
* Feature - Add option to show or hide player performance section in events.
* Feature - Add global padding option to SportsPress settings.
* Tweak - Force decimals to display when precision is set.
* Tweak - Add SportsPress post types to At a Glance section in dashboard.
* Tweak - Filter checklists by league and season.
* Tweak - Display layout type in admin.
* Tweak - Improve roles and permissions.
* Fix - Some select all checkboxes defaulted to being checked.
* Refactor - Use gettext filter to alter frontend text.
* Preset - Add American Football preset.
* Preset - Add Australian Rules Football preset.
* Preset - Add baseball preset.
* Preset - Add cricket preset.
* Preset - Add darts preset.
* Preset - Add handball preset.
* Preset - Add netball preset.
* Preset - Add Rugby League preset.
* Preset - Add squash preset.
* Preset - Add tennis preset.
* Preset - Update soccer preset.
* Localization - Armenian translation by ArtakEVN.
* Localization - Update translations.

= 1.0.4 =
* Fix - Shorthand php notation removed for better compatibility.
* Localization - Update Finnish translation.
* Localization - Update Greek translation.

= 1.0.3 =
* Tweak - Hide theme integration notice.

= 1.0.2 =
* Fix - Initialize columns array in player list class.

= 1.0.1 =
* Fix - Conditional install error relating to post types function.

= 1.0 =
* Feature - New drag and drop equation builder.
* Feature - Add team website link in admin.
* Feature - Enable searching for post user when there are more than 10.
* Feature - New event manager role that can publish and manage events only.
* Tweak - Fix league table alignment and responsive height.
* Tweak - Set maximum size of event blocks logos.
* Tweak - Add option to link venues in event list.
* Tweak - Remove margin between table and scrollbar.
* Tweak - Display delimiter between team logos under event title.
* Tweak - Hide media, comments, and tools from feature limited users.
* Tweak - Hide previous and next post links for custom post types.
* Tweak - Rounding explicitly displays all decimal places.
* Refactor - Combine players and staff in admin menu.
* Fix - Duplicate team logos in event blocks.
* Fix - Query future events for next team event.
* Fix - Live countdown in admin dashboard.
* Fix - Display all current teams in player profile.
* Localization - Norwegian Bokmål translation by sijo.
* Localization - Update translations.

= 0.9.4 =
* Tweak - Force delete preset variables when switching sports in settings.
* Fix - Apply player gallery limit.
* Fix - Display localized team results string.
* Refactor - Use more common thumbnail sizes.
* Localization - Portuguese (Portugal) translation by Andrew_Melim.

= 0.9.3 =
* Fix - Player list columns not displaying.

= 0.9.2 =
* Fix - Duplicate editor fields in team edit screen.

= 0.9.1 =
* Tweak - Add text domain to configure descriptions.
* Tweak - Change default country to US.
* Fix - Event block results display for teams without logos.

= 0.9 =
* Feature - Import tool added for importing staff from CSV file.
* Feature - Add checkboxes to select player statistics columns.
* Feature - Add option to select Google Map type.
* Feature - Add option to display team logos under event title.
* Feature - Enable player metrics and statistics selection in player list widget.
* Feature - Enable linking event blocks and event list to team pages.
* Tweak - Move leagues and seasons to SportsPress submenu.
* Tweak - Use singular post type slugs by default for consistency with WP core.
* Tweak - Remove alternate color in favor of link color setting.
* Tweak - Enable scrollable tables to prevent overflow.
* Tweak - Add helper text to venue location picker.
* Tweak - Adjust markup and remove link in league table caption.
* Tweak - Insert group name anchors to player list.
* Tweak - Display post type counts in system status.
* Fix - Event list results calculation when team column unchecked.
* Fix - Display player group names.
* Preset - Add snooker preset.
* Localization - Finnish translation by JuKi and hanro.
* Localization - Chinese translation by dic_2008.
* Localization - Dutch translation by valentijnreza.

= 0.8.6 =
* Fix - Issue adding teams to events.

= 0.8.5 =
* Fix - Issue saving new venues.

= 0.8.4 =
* Feature - Add option to limit number of teams per event.
* Feature - Show venue option in Countdown widget.
* Feature - Enable multiple current teams per player.
* Feature - Format performance data for use in templates.
* Feature - Add next event function to team for template.
* Refactor - Adjust theme template loader for venues and seasons.
* Tweak - Replace featured image text in admin.
* Tweak - Use wider map zoom setting.
* Tweak - Make SportsPress tables full width by default.
* Fix - Team filter in admin.
* Fix - Displaying 1 view as plural.

= 0.8.3 =
* Feature - Enable using events started and substituted in statistics equations.
* Tweak - Remove deprecated MySQL version function from System Status page.
* Fix - Adjust styling to display select boxes in admin.

= 0.8.2 =
* Fix - Add content in main loop only.

= 0.8.1 =
* Tweak - Output player statistics in system status.
* Tweak - Prepend templates to content instead of outputting directly.
* Fix - Enable metrics usage in individual player statistics.

= 0.8 =
* Feature - New shortcode event_results.
* Feature - New shortcode event_details.
* Feature - New shortcode event_performance.
* Feature - New blocks layout to display calendars in fixtures/results style.
* Feature - New player statistics calculate values using performance and metrics.
* Feature - New staff profiles.
* Feature - New System Status screen in admin.
* Feature - Add status selector to calendars and event widgets.
* Feature - Add ability to display statistics and metrics in player lists.
* Feature - Add time/results column to event list.
* Feature - Link WP user roles with players and staff.
* Feature - Display player substitutions in event page.
* Feature - Option to group player lists by position.
* Feature - Option to display outcomes in event results.
* Refactor - Player profiles now use statistics and performance.
* Refactor - Split admin CSS files for better performance.
* Tweak - Display player numbers in admin.
* Tweak - Move SportsPress settings to top-level page.
* Tweak - Link date to event page in event list.
* Tweak - Load Google Maps script only when needed.
* Tweak - Add descriptions to configure screen for clarity.
* Tweak - Create dedicated settings tab for text settings.
* Tweak - Remove redundant border from pagination table.
* Tweak - Display players and teams as total count in admin.
* Fix - Display player number when 0 or 00.
* Fix - Enable changing variable name or key from quick edit.
* Fix - Team data saving issue.
* Fix - Display all future events in venue archive.
* Fix - Display all metrics instead of filtering by position.
* Localization - Croatian translation by i__k.
* Localization - Greek translation by Spirossmil.
* Localization - Portuguese (Brazil) translation by rochester.
* Localization - Russian translation by Selskei.
* Localization - Slovenian translation by BOCo.
* Localization - Update translations.

= 0.7.4 =
* Feature - Shortcode added to display single event content.
* Tweak - Display default shortcode format when editing a calendar or player list.
* Tweak - Add backwards compatibility for shortcodes prior to version 0.7.
* Fix - Template hook to change display strings in admin.

= 0.7.3 =
* Feature - Enable editing Key field in Metrics and Performance.
* Tweak - Lighter default color scheme.

= 0.7.2 =
* Fix - Update missing assets.

= 0.7.1 =
* Fix - Activation error preventing new installation.

= 0.7 =
* Feature - Welcome page to display on activation.
* Feature - Frontend color scheme selection.
* Feature - Custom CSS option.
* Feature - Add venue column to event list.
* Feature - Manual point adjustments added to league tables.
* Feature - Enable table pagination.
* Feature - Enable live countdown setting.
* Refactor - Only load required classes to improve performance.
* Refactor - Change statistic to performance.
* Refactor - Soft deprecate sportspress prefixed functions in favor of sp prefix.
* Tweak - Filter players in events by current team.
* Tweak - Separate admin styles to improve load times.
* Tweak - Add margin above view all link in widgets.
* Tweak - Group text options by context.
* Tweak - Display event details in standard table markup for style consistency.
* Tweak - Display venue as a table for style consistency.
* Tweak - Hide individual player performance when players not selected.
* Fix - Responsive league table glitch.
* Fix - Warning messages when adding new team, player, or event.
* Fix - Countdown widget when event is selected.
* Fix - Multiple select box height glitch in some browsers fixed.
* Localization - Arabic translation by Abdulelah.
* Localization - German translation by Bhelpful2.
* Localization - Update Swedish translation by JensZ.

= 0.6.2 =
* Feature - Add options to make tables responsive and sortable.
* Feature - Use consistent shortcode naming with backwards compatibility.

= 0.6.1 =
* Feature - Display full event results on hover over main team result in admin.
* Feature - Add option to choose delimiter to use between team names in event titles.
* Tweak - Adjust text options to modify front-end only.
* Fix - Responsive league table output and styling.

= 0.6 =
* Feature - New events shortcodes: countdown, events-calendar, and events-list.
* Feature - New teams shortcode: league-table.
* Feature - New players shortcodes: player-list and player-gallery.
* Feature - Display available shortcodes in post edit screen.
* Feature - Add new settings page to change default text output.
* Feature - Add new section to permalinks settings to change post and term slugs.
* Tweak - Display teams as link list in admin page for league table teams columns.
* Tweak - Vertically align team logos in league table.
* Fix - Check if player belongs to leagues to avoid warnings in player profile.
* Fix - Total player statistics calculation in events.
* Fix - Responsive tables in event details and outcomes.
* Fix - Display players from all seasons or leagues when none have been created.

= 0.5 =
* Feature - Import tool added for importing events from CSV file.
* Feature - New post type Calendar added.
* Feature - League and Friendly format options added to events.
* Feature - List and Gallery format options added to player lists.
* Feature - Calendar and List format options added to calendars.
* Feature - Options added to turn on and off player list columns.
* Feature - Options added to player list widget to limit rows and display link to view all players.
* Feature - Options added to calendar widget to filter events.
* Feature - New widget Events List added.
* Feature - New widget Player Gallery added.
* Refactor - Use singular slugs for secondary post types.
* Tweak - Add tooltips to icons in admin table headings.
* Tweak - Style event results in admin events list. 
* Tweak - Separate event date and time in admin events list.
* Fix - Enable custom post type sorting in admin.
* Fix - Added check before displaying deleted posts in league tables and player lists.
* Fix - Adjust Select All filter in player lists and league tables.

= 0.4.3 =
* Feature - Enable selecting multiple outcomes per team per event.
* Tweak - Use icons in dashboard column labels for teams and roster.
* Tweak - Mark current team with check icon in admin player table.
* Fix - Check that selected columns are in array to avoid warning.
* Localization - Add Czech translation.
* Localization - Add Slovak translation.
* Localization - Add Polish translation by karimjarro.

= 0.4.2 =
* Feature - Enable selecting columns to display in single league table.
* Feature - Add options to limit rows, display logos, and display full table link.
* Feature - Add option to display national flags in player profiles.
* Refactor - Group Players and Staff under Roster menu group.
* Tweak - Reorder default player profile content.
* Tweak - Display player number before page title instead of metrics section.
* Tweak - Display player metrics as definition list instead of table.
* Fix - Check if static player list is array to avoid warning message.

= 0.4.1 =
* Tweak - Activate checkbox when all players are added to player list.
* Fix - Function date_diff added for PHP < 5.3.
* Localization - Swedish translation by JensZ.

= 0.4 =
* Feature - SportsPress Status dashboard widget added to display number of events and countdown in admin.
* Feature - New dashboard menu icons.
* Feature - More intuitive player edit screen.
* Feature - Enable spreadsheet style keyboard navigation in admin data tables.
* Feature - Add hover action on league table team names to edit display name.
* Refactor - Remove min and max outcome options from column equation.
* Refactor - Change Rounding precision to default to 0.
* Tweak - Used jQuery Chosen for inputs where useful.
* Tweak - Prepend plugin name to widget titles.
* Tweak - Highlight settings in admin menu when adding new config post type.
* Tweak - Display Events as Schedule in admin sidebar menu.
* Tweak - Update widget descriptions.
* Tweak - Remove unused external class eqGraph.
* Tweak - Display sort order priority options for number of columns available.
* Fix - Apply table column rounding when precision is set.
* Fix - Display event results on events page when available.
* Fix - Check that event results are available before displaying a warning under certain conditions.
* Fix - Namespace eqEOS class to avoid conflict with other plugins.
* Localization - Use specific strings instead of dynamic ones for more accurate translations.
* Localization - Use generic strings where appropriate.
* Localization - Update German translation.
* Localization - Update Spanish translation.
* Localization - Update French translation.
* Localization - Update Italian translation.
* Localization - Update Japanese translation.

= 0.3.3 =
* Feature - Add default sorting options per player list.
* Feature - Add option to sort player list alphabetically by name or by default.

= 0.3.2 =
* Feature - Add England, Scotland, Northern Ireland, and Wales to countries selector.
* Feature - Enable searching for countries in dropdown.

= 0.3.1 =
* Feature - Import tool added for importing teams from CSV file.
* Tweak - Added option to select custom sport and enter sport name.
* Tweak - Display player number under photo in admin screen.
* Tweak - Positions, Leagues, and Seasons columns added to player import tool.
* Tweak - Styled SportsPress setup notice.
* Refactor - Sum changed to Total in player statistic calculation settings.

= 0.3 =
* Feature - Import tool added for importing players from CSV file.
* Feature - Add ability to select 
* Tweak - Display current team indicator in players admin screen.

= 0.2.10 =
* Fix - Team filtering in events, tables, players, and lists.
* Tweak - Display statistics for all league/season events played in player profiles and player lists.
* Tweak - Count events as played when in starting lineup or made substitution.
* Tweak - Display player metrics only when value is set.

= 0.2.9 =
* Feature - Ability to select players from all teams in player list.
* Fix - Decimal sorting in league tables and player lists.

= 0.2.8 =
* Feature - Add player list widget.
* Localization - Add German translations.
* Localization - Add Spanish translations.
* Localization - Add Italian translations.

= 0.2.7 =
* Feature - Select columns to display in league table widget.
* Tweak - Start league table positions at 1 instead of 0.

= 0.2.6 =
* Localization - Add French translations.
* Preset - Update soccer preset.

= 0.2.5 =
* Fix - Update deprecated function to prevent error in Player Lists.

= 0.2.4 =
* Feature - Display venue map on event page and venue archive.
* Fix - Add checks to prevent league table dividing by zero when no events have been played.
* Fix - Flush rewrite rules for taxonomies on activation.
* Tweak - Sort sports presets alphabetically by localized name.

= 0.2.3 =
* Feature - Enable selecting main event result.
* Feature - Add Last 5 counter to table columns.
* Localization - Update Japanese translations.
* Preset - Complete American Football preset.

= 0.2.2 =
* Feature - League Table widget added.
* Feature - Recent Events widget added.
* Feature - Future Events widget added.
* Feature - Countdown widget added.
* Fix - Syntax error fixed for PHP version 5.2 and below.
* Tweak - Editor section added to League Tables and Player Lists.

= 0.2.1 =
* Feature - Events Calendar widget added.
* Fix - Player settings table markup fixed.
* Tweak - Refine custom post type capabilities for user roles.

= 0.2 =
* Feature - Add option to select whether statistics are calculated as a sum or average.
* Feature - Enable pageview tracking for posts and custom post types.
* Feature - Responsive datatables.
* Fix - Add site admin capabilities for multisite.
* Fix - Force numerical sorting of number column.
* Tweak - Enable SportsPress content functions to be called without explicit ID.
* Tweak - Remove redundant admin menu links via filter.

= 0.1.7 =
* Feature - Enable selecting venues to use uploaded images.

= 0.1.6 =
* Tweak - Activate per post type permissions.
* Tweak - Give admin all permissions for custom posts.

= 0.1.5 =
* Tweak - Remove flag images to lighten download size.

= 0.1.4 =
* Fix - All Plugin-Check warnings.
* Tweak - Split templates into files in subdirectory.
* Tweak - Simplify gettext filters.

= 0.1.3 =
* Fix - Style conflict with Foundation framework in table columns.
* Feature - HTML output added to custom post types with data table sorting.
* Feature - Enable metrics and statistics per player position.
* Feature - Save team played per season per league in player edit screen.
* Feature - Give teams the option to show and hide past seasons.
* Feature - Venues, Seasons, and Leagues added as taxonomies.
* Feature - Add L10 counter to report last 10 outcomes.
* Feature - Add STRK counter to report current outcome streak.
* Localization - Add country names in Czech, German, Spanish, French, Italian, Japanese, Polish, Russian, and Slovak.

= 0.1.2 =
* Tweak - Use custom post types for metrics and statistics configuration.
* Feature - Display HTML tables when viewing League Table and Player List post types.
* Feature - Link player and team names to single post pages.
* Feature - Register default configuration for soccer.
* Feature - Sort league table and player list by priority.

= 0.1.1 =
* Tweak - Update description.

= 0.1 =
* Alpha release for first look and testing.
